View Issue Details

IDProjectCategoryView StatusLast Update
0016481LazarusLCLpublic2011-12-01 11:24
ReporterJohn vd WaeterAssigned ToFelipe Monteiro de Carvalho 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.29 (SVN)Product Build 
Target VersionFixed in Version0.9.29 (SVN) 
Summary0016481: WinCE, Menubehaviour if only mainmenu 2 iitems
DescriptionHi (Felipe ;-))

WinCE, drop a mainmenu on a form and give it a LEFT and a RIGHT item. No subitems.

On PDA, works OK.

On Smartphone, where menu-items are used like Accept (left menu-item) or Cancel (right-menu-item), the left menu-item does a Close, whatever you assign to it. An attahed event is not triggered.
The event attached to the right menu-item is not triggered. Nothing happens.

Tested on both WM5 and WM6
John

TagsNo tags attached.
Fixed in Revision26489
LazTarget-
WidgetsetWinCE
Attached Files

Relationships

related to 0014973 closedFelipe Monteiro de Carvalho WinCE: Can't change menu item caption in soft key bar 
child of 0016332 closedFelipe Monteiro de Carvalho Menu on WinCe 

Activities

John vd Waeter

2010-05-15 15:16

reporter   ~0037622

And, maybe related:

Have a mainform with a mainmenu. define event for one of the menuitems to create/show SecondForm;

Have a SecondForm with 1 item. This item has an event that says "close".

In the mainform, event attached to a menuitem:

with TSecondform.create(self) do
 begin
  showmodal;
  destroy;
 end;

Secondform shows, I select menu-left, it closes and the mainform reappears. so far so good.

If I click again to show SecondForm, the secondform appears as expected, the menu with the only one left option shows, but no longer responds to mouse or button.

This happens on pocket-pc emulator 5 and 6.
On smartphone emulators 5 and 6, it works ok! (??)

Felipe Monteiro de Carvalho

2010-07-06 17:45

developer   ~0039088

Test apps are on bug 16332

Issue History

Date Modified Username Field Change
2010-05-15 13:08 John vd Waeter New Issue
2010-05-15 13:08 John vd Waeter Widgetset => WinCE
2010-05-15 15:16 John vd Waeter Note Added: 0037622
2010-05-17 15:44 Felipe Monteiro de Carvalho Status new => assigned
2010-05-17 15:44 Felipe Monteiro de Carvalho Assigned To => Felipe Monteiro de Carvalho
2010-05-31 23:37 Felipe Monteiro de Carvalho Relationship added related to 0014973
2010-06-01 07:56 Felipe Monteiro de Carvalho Relationship added child of 0016332
2010-07-06 17:42 Felipe Monteiro de Carvalho Fixed in Revision => 26489
2010-07-06 17:42 Felipe Monteiro de Carvalho LazTarget => -
2010-07-06 17:42 Felipe Monteiro de Carvalho Status assigned => resolved
2010-07-06 17:42 Felipe Monteiro de Carvalho Fixed in Version => 0.9.29 (SVN)
2010-07-06 17:42 Felipe Monteiro de Carvalho Resolution open => fixed
2010-07-06 17:45 Felipe Monteiro de Carvalho Note Added: 0039088
2010-07-22 22:35 Felipe Monteiro de Carvalho Status resolved => assigned
2010-07-24 13:25 Felipe Monteiro de Carvalho Status assigned => resolved
2011-12-01 11:24 Marc Weustink Status resolved => closed